# Forge Spider

This abstract class can be extended to produce new plugins that are using Scapy for packet forging.

## pathspider.forge

class pathspider.forge.ForgeSpider(worker_count, libtrace_uri, args)
  chains = [<class 'pathspider.chains.basic.BasicChain'>]
  connect(job, seq)
  forge(job, config)
  packets = 0
  pre_connect(job)

    Performs pre-connection operations.

    Parameters

      job (dict) – The job record

    The pre_connect function can be used to perform any operations that must be performed before each connection. It will be run only once per job, with the same result passed to both the A and B connect calls. This function is not synchronized with the configurator.

    Plugins to PATHspider can optionally implement this function. If this function is not overloaded, it will be a noop.

  classmethod register_args(subparsers)
  setup(job)